Skip to main content
GET
/
v1
/
agents
/
{passportId}
/
proof
/
{runId}
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.mirror.lucidGetAgentRunProof({
    adminAuth: process.env["RAIJINLABSLUCIDAI_ADMIN_AUTH"] ?? "",
  }, {
    passportId: "<id>",
    runId: "<id>",
  });

  console.log(result);
}

run();
{
  "passport_id": "<string>",
  "run_id": "<string>",
  "receipt_hash": "<string>",
  "verified": true,
  "epoch_id": "<string>",
  "mmr_root": "<string>",
  "chain_tx": "<string>",
  "epoch_status": "<string>",
  "model_passport_id": "<string>",
  "policy_hash": "<string>",
  "tokens_in": 123,
  "tokens_out": 123,
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Admin-Key
string
header
required

Admin API key for internal/operator endpoints

Path Parameters

passportId
string
required

Agent passport identifier

runId
string
required

Specific inference run identifier for leaf-level proof

Response

Run-level proof

passport_id
string
required
run_id
string
required
receipt_hash
string
required
verified
boolean
required
epoch_id
string
mmr_root
string
chain_tx
string | null
epoch_status
string
model_passport_id
string
policy_hash
string
tokens_in
integer
tokens_out
integer
status
string
created_at
string<date-time>